Update seat type
curl --request PATCH \
--url https://tandem.hlofiys.xyz/api/seat-types/{seat_type_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": "99.90",
"seat_color": "#4A90E2",
"hall_id": 123
}
'import requests
url = "https://tandem.hlofiys.xyz/api/seat-types/{seat_type_id}"
payload = {
"name": "<string>",
"price": "99.90",
"seat_color": "#4A90E2",
"hall_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', price: '99.90', seat_color: '#4A90E2', hall_id: 123})
};
fetch('https://tandem.hlofiys.xyz/api/seat-types/{seat_type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seat_type_id": 123,
"name": "<string>",
"price": "99.90",
"seat_color": "#4A90E2",
"hall_id": 123
}{
"message": "Validation failed",
"errors": {
"name": "The name field is required.",
"price": "The price must be a valid number.",
"hall_id": "A valid hall_id is required."
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Admin: Seat Types
Update seat type
Updates the details (name, price,color or hall) of an existing seat type by its unique ID.
Only the fields provided in the request body will be updated.
This is a protected endpoint. Access is restricted to users with admin or manager roles.
PATCH
/
api
/
seat-types
/
{seat_type_id}
Update seat type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
The seat type has been successfully updated
Unique seat type ID
Seat type name
Cost of place. Passed as a string to preserve precision
Example:
"99.90"
Color in 6-digit or 3-digit HEX format, starting with '#'
Pattern:
^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$Example:
"#4A90E2"
Unique hall ID